<div #scrollContainer style="overflow-y: auto;">
<div class="cards-list">
    <div *ngFor="let image of images; index as i" style="align-items: center;">
        <div class="card" type="button" (click)="openModal(image.id)">
            <div class="img" [ngStyle]="{'background-image' : 'url('+ image.download_url +')'}"></div>
            <h2>{{image.author}}</h2>
        </div>
    </div>
</div>
<app-modal *ngIf="isModalOpen" (closeModal)="closeModal()" [imgDetails]="imageDetailObj"
        [isLoaded]="haveGotDetails"></app-modal>
<ng-container *ngIf="isScrolled === true && isModalOpen === false">
    <button class="floating-btn" (click)="scrollTop()" >
        <img src="../../../assets/upArrow.png" alt="" />
    </button>
</ng-container>
</div>
